var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __esm = (fn2, res) => function __init() {
  return fn2 && (res = (0, fn2[__getOwnPropNames(fn2)[0]])(fn2 = 0)), res;
};
var __export = (target, all) => {
  for (var name2 in all)
    __defProp(target, name2, { get: all[name2], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// package.json
var package_exports = {};
__export(package_exports, {
  author: () => author,
  default: () => package_default,
  dependencies: () => dependencies,
  description: () => description,
  devDependencies: () => devDependencies,
  exports: () => exports,
  files: () => files,
  license: () => license,
  main: () => main,
  name: () => name,
  repository: () => repository,
  scripts: () => scripts,
  type: () => type,
  types: () => types,
  version: () => version
});
var name, version, description, type, exports, scripts, author, license, files, dependencies, devDependencies, repository, types, main, package_default;
var init_package = __esm({
  "package.json"() {
    name = "@openfn/language-testing";
    version = "1.0.10";
    description = "OpenFn test adaptor. Internal use only.";
    type = "module";
    exports = {
      ".": {
        import: "./dist/index.js",
        types: "./types/index.d.ts",
        require: "./dist/index.cjs"
      },
      "./package.json": "./package.json"
    };
    scripts = {
      build: "pnpm clean && build-adaptor testing",
      clean: "rimraf dist types docs",
      pack: "pnpm pack --pack-destination ../../dist",
      lint: "eslint src"
    };
    author = "Open Function Group";
    license = "LGPLv3";
    files = [
      "dist/",
      "types/",
      "ast.json",
      "configuration-schema.json"
    ];
    dependencies = {
      "@openfn/language-common": "workspace:*"
    };
    devDependencies = {
      "assertion-error": "2.0.0",
      chai: "4.3.6",
      "deep-eql": "4.1.1",
      esno: "^4.7.0",
      rimraf: "3.0.2",
      undici: "^5.22.1"
    };
    repository = {
      type: "git",
      url: "https://github.com/openfn/adaptors.git"
    };
    types = "types/index.d.ts";
    main = "dist/index.cjs";
    package_default = {
      name,
      version,
      description,
      type,
      exports,
      scripts,
      author,
      license,
      files,
      dependencies,
      devDependencies,
      repository,
      types,
      main
    };
  }
});

// src/Adaptor.js
var Adaptor_exports = {};
__export(Adaptor_exports, {
  fn: () => fn,
  version: () => version2
});
import { fn } from "@openfn/language-common";
function version2() {
  const pkgRaw = (init_package(), __toCommonJS(package_exports));
  const pkg = JSON.parse(pkgRaw);
  return (state) => ({
    ...state,
    version: pkg.version
  });
}

// src/index.js
var src_default = Adaptor_exports;
export {
  src_default as default,
  fn,
  version2 as version
};
